main - pvck: improve error for write to existing file
by David Teigland
Gitweb: https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=c4440b5b495a2d11ff5...
Commit: c4440b5b495a2d11ff541dd7e7791e2a83c83609
Parent: 6d262eaf640dead7861c1a7716e216b9bcea75e5
Author: David Teigland <teigland(a)redhat.com>
AuthorDate: Fri Apr 28 13:31:39 2023 -0500
Committer: David Teigland <teigland(a)redhat.com>
CommitterDate: Fri Apr 28 13:31:39 2023 -0500
pvck: improve error for write to existing file
---
tools/pvck.c | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/tools/pvck.c b/tools/pvck.c
index 879810b76..0998caaf5 100644
--- a/tools/pvck.c
+++ b/tools/pvck.c
@@ -1444,8 +1444,13 @@ static int _dump_metadata(struct cmd_context *cmd, const char *dump, struct sett
int bad = 0;
if (arg_is_set(cmd, file_ARG)) {
+ struct stat sb;
if (!(tofile = arg_str_value(cmd, file_ARG, NULL)))
return 0;
+ if (!stat(tofile, &sb)) {
+ log_error("File already exists.");
+ return 0;
+ }
}
if (set->mda_num)
7 months
main - lvmcache: fix valgrind error when dropping md duplicate
by David Teigland
Gitweb: https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=6d262eaf640dead7861...
Commit: 6d262eaf640dead7861c1a7716e216b9bcea75e5
Parent: ffead4f333d4d2a80a6913842a50fd265d5c4018
Author: David Teigland <teigland(a)redhat.com>
AuthorDate: Tue Apr 25 14:46:36 2023 -0500
Committer: David Teigland <teigland(a)redhat.com>
CommitterDate: Tue Apr 25 14:46:36 2023 -0500
lvmcache: fix valgrind error when dropping md duplicate
When lvmcache info is dropped because it's an md component,
then the lvmcache vginfo can also be dropped, but the list
iterator was still using the list head in vginfo, so break
from the loop earlier to avoid it.
---
lib/cache/lvmcache.c | 7 +++++++
1 file changed, 7 insertions(+)
diff --git a/lib/cache/lvmcache.c b/lib/cache/lvmcache.c
index b8a9eac25..127d29229 100644
--- a/lib/cache/lvmcache.c
+++ b/lib/cache/lvmcache.c
@@ -1503,6 +1503,9 @@ void lvmcache_extra_md_component_checks(struct cmd_context *cmd)
*/
dm_list_iterate_items_safe(vginfo, vginfo2, &_vginfos) {
+ char vgid[ID_LEN + 1] __attribute__((aligned(8))) = { 0 };
+ memcpy(vgid, vginfo->vgid, ID_LEN);
+
dm_list_iterate_items_safe(info, info2, &vginfo->infos) {
dev = info->dev;
device_hint = _get_pvsummary_device_hint(dev->pvid);
@@ -1557,6 +1560,10 @@ void lvmcache_extra_md_component_checks(struct cmd_context *cmd)
/* lvmcache_del will also delete vginfo if info was last one */
lvmcache_del(info);
cmd->filter->wipe(cmd, cmd->filter, dev, NULL);
+
+ /* If vginfo was deleted don't continue using vginfo->infos */
+ if (!_search_vginfos_list(NULL, vgid))
+ break;
}
}
}
7 months, 1 week
main - tests: adapt waiting for pvmove start
by Zdenek Kabelac
Gitweb: https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=ffead4f333d4d2a80a6...
Commit: ffead4f333d4d2a80a6913842a50fd265d5c4018
Parent: 7f2939d328cf273f7f086a2ddf6cfaab86cf07c1
Author: Zdenek Kabelac <zkabelac(a)redhat.com>
AuthorDate: Tue Apr 25 19:51:52 2023 +0200
Committer: Zdenek Kabelac <zkabelac(a)redhat.com>
CommitterDate: Tue Apr 25 19:51:52 2023 +0200
tests: adapt waiting for pvmove start
Previous commit cause the pvmove could actually be started in unexpected
order - so make sure, we are not starting new pvmove in same VG until
the previous one is started.
---
test/lib/aux.sh | 5 -----
test/shell/pvmove-abort-all.sh | 4 ++--
test/shell/pvmove-abort.sh | 4 ++--
3 files changed, 4 insertions(+), 9 deletions(-)
diff --git a/test/lib/aux.sh b/test/lib/aux.sh
index c773485f5..241bbd595 100644
--- a/test/lib/aux.sh
+++ b/test/lib/aux.sh
@@ -2025,11 +2025,6 @@ wait_pvmove_lv_ready() {
test -e LOCAL_LVMPOLLD && die "Waiting for lvmpolld timed out"
die "Waiting for pvmove LV to get activated has timed out"
-
- # TODO: remove, uneedeed ??
- # Adding settle here, to avoid remove, before processing of 'add' is finished
- # (masking systemd-udevd issue)
- #udev_wait 2 || true
}
# Holds device open with sleep which automatically expires after given timeout
diff --git a/test/shell/pvmove-abort-all.sh b/test/shell/pvmove-abort-all.sh
index c18467c87..872db041e 100644
--- a/test/shell/pvmove-abort-all.sh
+++ b/test/shell/pvmove-abort-all.sh
@@ -53,10 +53,10 @@ cmd3=(pvmove -i1 $backgroundarg $mode -n $vg1/$lv1 "$dev4" "$dev6")
if test -z "$backgroundarg" ; then
"${cmd1[@]}" &
+ aux wait_pvmove_lv_ready "$vg-pvmove0"
"${cmd2[@]}" &
"${cmd3[@]}" &
- aux wait_pvmove_lv_ready "$vg-pvmove0" "$vg-pvmove1" "$vg1-pvmove0"
- lvs -a $vg $vg1
+ aux wait_pvmove_lv_ready "$vg-pvmove1" "$vg1-pvmove0"
else
LVM_TEST_TAG="kill_me_$PREFIX" "${cmd1[@]}"
LVM_TEST_TAG="kill_me_$PREFIX" "${cmd2[@]}"
diff --git a/test/shell/pvmove-abort.sh b/test/shell/pvmove-abort.sh
index 2917318f4..86f24176e 100644
--- a/test/shell/pvmove-abort.sh
+++ b/test/shell/pvmove-abort.sh
@@ -42,13 +42,13 @@ cmd2=(pvmove -i1 $backgroundarg $mode "$dev2" "$dev3")
if test -z "$backgroundarg" ; then
"${cmd1[@]}" &
+ aux wait_pvmove_lv_ready "$vg-pvmove0"
"${cmd2[@]}" &
- aux wait_pvmove_lv_ready "$vg-pvmove0" "$vg-pvmove1"
+ aux wait_pvmove_lv_ready "$vg-pvmove1"
else
LVM_TEST_TAG="kill_me_$PREFIX" "${cmd1[@]}"
LVM_TEST_TAG="kill_me_$PREFIX" "${cmd2[@]}"
fi
-
# remove specific device
pvmove --abort "$dev1"
7 months, 1 week
main - tests: utils now print also df_h
by Zdenek Kabelac
Gitweb: https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=7f2939d328cf273f7f0...
Commit: 7f2939d328cf273f7f086a2ddf6cfaab86cf07c1
Parent: 7b88c9f6199499692c8b4b47488dffd0f187b9f7
Author: Zdenek Kabelac <zkabelac(a)redhat.com>
AuthorDate: Tue Apr 25 15:07:46 2023 +0200
Committer: Zdenek Kabelac <zkabelac(a)redhat.com>
CommitterDate: Tue Apr 25 19:02:39 2023 +0200
tests: utils now print also df_h
Add info about space usage on devices after the test.
Add some more skipped dirs.
---
test/lib/utils.sh | 12 ++++++++----
1 file changed, 8 insertions(+), 4 deletions(-)
diff --git a/test/lib/utils.sh b/test/lib/utils.sh
index 5e462605f..427bc6112 100644
--- a/test/lib/utils.sh
+++ b/test/lib/utils.sh
@@ -189,15 +189,19 @@ STACKTRACE() {
echo "<======== Tree ========>"
dmsetup ls --tree | sed -e "s,^,## DMTREE: ,"
echo "<======== Recursive list of $DM_DEV_DIR ========>"
- ls -Rl --hide=shm --hide=bus --hide=snd --hide=input --hide=dri \
- --hide=net --hide=hugepages --hide=mqueue --hide=pts \
- --hide=tty?* --hide=vcs?* --hide=usb --hide=char \
- "$DM_DEV_DIR" | sed -e "s,^,## LSLR: ,"
+ ls -lR -I bsg -I bus -I char -Idma_heap -I dri \
+ -I hugepages -I input -I mqueue \
+ -I net -I pts -I shm -I snd \
+ -I tty?* -I usb -I vfio -I vcs?* \
+ -I virtio-ports \
+ "$DM_DEV_DIR" | sed -e "s,^,## LS_LR: ,"
echo "<======== Udev DB content ========>"
for i in /sys/block/dm-* /sys/block/loop* ; do
udevadm info --query=all --path "$i" 2>/dev/null || true
done | sed -e "s,^,## UDEV: ,"
fi
+ echo "<======== Free space ========>"
+ df -h | sed -e "s,^,## DF_H: ,"
echo "<======== Script file \"$(< TESTNAME)\" ========>"
local script=$0
test -f "$script" || script="$TESTOLDPWD/$0"
7 months, 1 week
main - tests: some aux corrections
by Zdenek Kabelac
Gitweb: https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=7b88c9f6199499692c8...
Commit: 7b88c9f6199499692c8b4b47488dffd0f187b9f7
Parent: 4a003ba671bd4f38d9108f5dd174eccda1522c3b
Author: Zdenek Kabelac <zkabelac(a)redhat.com>
AuthorDate: Tue Apr 25 15:07:25 2023 +0200
Committer: Zdenek Kabelac <zkabelac(a)redhat.com>
CommitterDate: Tue Apr 25 18:59:04 2023 +0200
tests: some aux corrections
Keep backups within test_dir instead of dev_dir (so it doesn't
leak large files there if the tests are run over real /dev dir).
Move restoring of dm_mirror throttling before test_dir is removed.
---
test/lib/aux.sh | 13 +++++++------
1 file changed, 7 insertions(+), 6 deletions(-)
diff --git a/test/lib/aux.sh b/test/lib/aux.sh
index 6a0b9da93..c773485f5 100644
--- a/test/lib/aux.sh
+++ b/test/lib/aux.sh
@@ -448,6 +448,7 @@ teardown_devs_prefixed() {
teardown_devs() {
# Delete any remaining dm/udev semaphores
teardown_udev_cookies
+ restore_dm_mirror
test ! -f MD_DEV || cleanup_md_dev
test ! -f DEVICES || teardown_devs_prefixed "$PREFIX"
@@ -483,7 +484,6 @@ teardown_devs() {
udev_wait
}
}
- restore_dm_mirror
}
kill_sleep_kill_() {
@@ -1394,7 +1394,8 @@ backup_dev() {
local dev
for dev in "$@"; do
- dd if="$dev" of="${dev}.backup" bs=1024
+ dd if="$dev" of="${dev##*/}.backup" bs=16K conv=fdatasync || \
+ die "Cannot backup device: \"$dev\" with size $(blockdev --getsize64 "$dev" || true) bytes."
done
}
@@ -1402,9 +1403,9 @@ restore_dev() {
local dev
for dev in "$@"; do
- test -e "${dev}.backup" || \
+ test -e "${dev##*/}.backup" || \
die "Internal error: $dev not backed up, can't restore!"
- dd of="$dev" if="${dev}.backup" bs=1024
+ dd of="$dev" if="${dev##*/}.backup" bs=16K
done
}
@@ -1743,9 +1744,9 @@ udev_wait() {
pgrep udev >/dev/null || return 0
which udevadm &>/dev/null || return 0
if test -n "${1-}" ; then
- udevadm settle --exit-if-exists="$1" || true
+ udevadm settle --exit-if-exists="$1" 2>/dev/null || true
else
- udevadm settle --timeout=15 || true
+ udevadm settle --timeout=15 2>/dev/null || true
fi
}
7 months, 1 week
main - tests: fix pattern for raid4
by Zdenek Kabelac
Gitweb: https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=4a003ba671bd4f38d91...
Commit: 4a003ba671bd4f38d9108f5dd174eccda1522c3b
Parent: 7c8901dabde8d962a95a827f249ad50a86b0a42c
Author: Zdenek Kabelac <zkabelac(a)redhat.com>
AuthorDate: Mon Apr 24 22:41:54 2023 +0200
Committer: Zdenek Kabelac <zkabelac(a)redhat.com>
CommitterDate: Tue Apr 25 00:12:31 2023 +0200
tests: fix pattern for raid4
Since the strip in raid4 might be XOR - we might eventually end
with 2 blocks of 'B' on 2 disks - so will rest of stripe with 'b'.
---
test/shell/integrity-caching.sh | 2 +-
test/shell/integrity-syncaction.sh | 2 +-
test/shell/integrity.sh | 2 +-
3 files changed, 3 insertions(+), 3 deletions(-)
diff --git a/test/shell/integrity-caching.sh b/test/shell/integrity-caching.sh
index 73d33de18..838bbded0 100644
--- a/test/shell/integrity-caching.sh
+++ b/test/shell/integrity-caching.sh
@@ -28,7 +28,7 @@ aux prepare_devs 6 80
# Use awk instead of anoyingly long log out from printf
#printf "%0.sA" {1..16384} >> fileA
awk 'BEGIN { while (z++ < 16384) printf "A" }' > fileA
-awk 'BEGIN { while (z++ < 4096) printf "B" }' > fileB
+awk 'BEGIN { while (z++ < 4096) printf "B" ; while (z++ < 16384) printf "b" }' > fileB
awk 'BEGIN { while (z++ < 16384) printf "C" }' > fileC
# generate random data
diff --git a/test/shell/integrity-syncaction.sh b/test/shell/integrity-syncaction.sh
index ededda010..0f8ce17d2 100644
--- a/test/shell/integrity-syncaction.sh
+++ b/test/shell/integrity-syncaction.sh
@@ -27,7 +27,7 @@ aux prepare_devs 3 40
# Use awk instead of anoyingly long log out from printf
#printf "%0.sA" {1..16384} >> fileA
awk 'BEGIN { while (z++ < 16384) printf "A" }' > fileA
-awk 'BEGIN { while (z++ < 4096) printf "B" }' > fileB
+awk 'BEGIN { while (z++ < 4096) printf "B" ; while (z++ < 16384) printf "b" }' > fileB
awk 'BEGIN { while (z++ < 16384) printf "C" }' > fileC
_prepare_vg() {
diff --git a/test/shell/integrity.sh b/test/shell/integrity.sh
index b55855ab4..1ba75d230 100644
--- a/test/shell/integrity.sh
+++ b/test/shell/integrity.sh
@@ -28,7 +28,7 @@ aux prepare_devs 5 64
# Use awk instead of anoyingly long log out from printf
#printf "%0.sA" {1..16384} >> fileA
awk 'BEGIN { while (z++ < 16384) printf "A" }' > fileA
-awk 'BEGIN { while (z++ < 4096) printf "B" }' > fileB
+awk 'BEGIN { while (z++ < 4096) printf "B" ; while (z++ < 16384) printf "b" }' > fileB
awk 'BEGIN { while (z++ < 16384) printf "C" }' > fileC
# generate random data
7 months, 1 week
main - tests: use 300M lv size for xfs
by Zdenek Kabelac
Gitweb: https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=7c8901dabde8d962a95...
Commit: 7c8901dabde8d962a95a827f249ad50a86b0a42c
Parent: e42b56c31b71751bcd9d9cc9bae765433fa68027
Author: Zdenek Kabelac <zkabelac(a)redhat.com>
AuthorDate: Mon Apr 24 22:18:10 2023 +0200
Committer: Zdenek Kabelac <zkabelac(a)redhat.com>
CommitterDate: Tue Apr 25 00:12:31 2023 +0200
tests: use 300M lv size for xfs
---
test/shell/integrity-large.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/test/shell/integrity-large.sh b/test/shell/integrity-large.sh
index 68822e3ef..37823ab96 100644
--- a/test/shell/integrity-large.sh
+++ b/test/shell/integrity-large.sh
@@ -96,7 +96,7 @@ _verify_data_on_lv() {
# be extended from 4MB to 8MB.
_prepare_vg
-lvcreate --type raid1 -m1 -n $lv1 -l 8 $vg
+lvcreate --type raid1 -m1 -n $lv1 -L 300 $vg
lvchange -an $vg/$lv1
lvchange -ay $vg/$lv1
_add_data_to_lv
7 months, 1 week
main - tests: try to retry remove of scsi_debug
by Zdenek Kabelac
Gitweb: https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=e42b56c31b71751bcd9...
Commit: e42b56c31b71751bcd9d9cc9bae765433fa68027
Parent: b8aea8ae7d000f972d2643a3f097b46c4dbb1fe7
Author: Zdenek Kabelac <zkabelac(a)redhat.com>
AuthorDate: Mon Apr 24 15:26:40 2023 +0200
Committer: Zdenek Kabelac <zkabelac(a)redhat.com>
CommitterDate: Tue Apr 25 00:12:31 2023 +0200
tests: try to retry remove of scsi_debug
Not quite sure if this helps anything, some of testing
machines can't reliably remove scsi_debug, reporting
they are in use - but it's not easily reproducible...
---
test/lib/aux.sh | 7 ++++++-
1 file changed, 6 insertions(+), 1 deletion(-)
diff --git a/test/lib/aux.sh b/test/lib/aux.sh
index d33a13882..6a0b9da93 100644
--- a/test/lib/aux.sh
+++ b/test/lib/aux.sh
@@ -457,7 +457,12 @@ teardown_devs() {
# prepare_scsi_debug_dev() also sets LOOP to short-circuit prepare_loop()
if test -f SCSI_DEBUG_DEV; then
udev_wait
- test "${LVM_TEST_PARALLEL:-0}" -eq 1 || modprobe -r scsi_debug
+ test "${LVM_TEST_PARALLEL:-0}" -eq 1 || {
+ if ! modprobe -r scsi_debug ; then
+ sleep 1
+ modprobe -r scsi_debug || true
+ fi
+ }
else
test ! -f LOOP || losetup -d "$(< LOOP)" || true
test ! -f LOOPFILE || rm -f "$(< LOOPFILE)"
7 months, 1 week
main - tests: handle multiple devs with wait_pvmove_lv_ready
by Zdenek Kabelac
Gitweb: https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=b8aea8ae7d000f972d2...
Commit: b8aea8ae7d000f972d2643a3f097b46c4dbb1fe7
Parent: 8476a09ee5b761d393a26145d2da23615d31579f
Author: Zdenek Kabelac <zkabelac(a)redhat.com>
AuthorDate: Mon Apr 24 15:24:20 2023 +0200
Committer: Zdenek Kabelac <zkabelac(a)redhat.com>
CommitterDate: Tue Apr 25 00:12:31 2023 +0200
tests: handle multiple devs with wait_pvmove_lv_ready
aux wait_pvmove_lv_ready() now handles multiple pvmove LVs
at one go - which allows a bit fast checking - although
at some point we may need to switch to use delayed devs
since mirror throttling seems to be no longer working well,
as CPU are getting so fast, that most of data are already
pvmoved before throttling has any chance to do something...
---
test/lib/aux.sh | 51 +++++++++++++++++++++---------------------
test/shell/pvmove-abort-all.sh | 4 +---
test/shell/pvmove-abort.sh | 3 +--
3 files changed, 27 insertions(+), 31 deletions(-)
diff --git a/test/lib/aux.sh b/test/lib/aux.sh
index b2660b65c..d33a13882 100644
--- a/test/lib/aux.sh
+++ b/test/lib/aux.sh
@@ -1994,37 +1994,36 @@ check_lvmpolld_init_rq_count() {
wait_pvmove_lv_ready() {
# given sleep .1 this is about 20 secs of waiting
- local retries=${2-100}
+ local lvid=()
+ local all
- if [ -e LOCAL_LVMPOLLD ]; then
- local lvid=""
- while : ; do
- test "$retries" -le 0 && die "Waiting for lvmpolld timed out"
- test -n "$lvid" || {
- # wait till wanted LV really appears
- lvid=$(dmsetup info --noheadings -c -o uuid "$1" 2>/dev/null || true)
- lvid=${lvid##LVM-}
- }
- test -z "$lvid" || {
+ for i in {100..0}; do
+ if [ -e LOCAL_LVMPOLLD ]; then
+ if test "${#lvid[@]}" -eq "$#" ; then
lvmpolld_dump > lvmpolld_dump.txt
- check_lvmpolld_init_rq_count 1 "$lvid" lvid && break;
- }
- sleep .1
- retries=$((retries-1))
- done
- else
- while : ; do
- test "$retries" -le 0 && die "Waiting for pvmove LV to get activated has timed out"
- dmsetup info -c -o tables_loaded "$1" >out 2>/dev/null|| true;
- not grep Live out >/dev/null || break
- sleep .1
- retries=$((retries-1))
- done
- fi
+ all=1
+ for l in "${lvid[@]}" ; do
+ check_lvmpolld_init_rq_count 1 "${l##LVM-}" lvid || all=0
+ done
+ test "$all" = 1 && return
+ else
+ # wait till wanted LV really appears
+ lvid=( $(dmsetup info --noheadings -c -o uuid "$@" 2>/dev/null) ) || true
+ fi
+ else
+ dmsetup info -c --noheadings -o tables_loaded "$@" >out 2>/dev/null || true
+ test "$(grep -c Live out)" = "$#" && return
+ fi
+ sleep .1
+ done
+
+ test -e LOCAL_LVMPOLLD && die "Waiting for lvmpolld timed out"
+ die "Waiting for pvmove LV to get activated has timed out"
+ # TODO: remove, uneedeed ??
# Adding settle here, to avoid remove, before processing of 'add' is finished
# (masking systemd-udevd issue)
- udevadm settle --timeout=2 || true
+ #udev_wait 2 || true
}
# Holds device open with sleep which automatically expires after given timeout
diff --git a/test/shell/pvmove-abort-all.sh b/test/shell/pvmove-abort-all.sh
index 893223f12..c18467c87 100644
--- a/test/shell/pvmove-abort-all.sh
+++ b/test/shell/pvmove-abort-all.sh
@@ -53,11 +53,9 @@ cmd3=(pvmove -i1 $backgroundarg $mode -n $vg1/$lv1 "$dev4" "$dev6")
if test -z "$backgroundarg" ; then
"${cmd1[@]}" &
- aux wait_pvmove_lv_ready "$vg-pvmove0"
"${cmd2[@]}" &
- aux wait_pvmove_lv_ready "$vg-pvmove1"
"${cmd3[@]}" &
- aux wait_pvmove_lv_ready "$vg1-pvmove0"
+ aux wait_pvmove_lv_ready "$vg-pvmove0" "$vg-pvmove1" "$vg1-pvmove0"
lvs -a $vg $vg1
else
LVM_TEST_TAG="kill_me_$PREFIX" "${cmd1[@]}"
diff --git a/test/shell/pvmove-abort.sh b/test/shell/pvmove-abort.sh
index f5744d430..2917318f4 100644
--- a/test/shell/pvmove-abort.sh
+++ b/test/shell/pvmove-abort.sh
@@ -42,9 +42,8 @@ cmd2=(pvmove -i1 $backgroundarg $mode "$dev2" "$dev3")
if test -z "$backgroundarg" ; then
"${cmd1[@]}" &
- aux wait_pvmove_lv_ready "$vg-pvmove0"
"${cmd2[@]}" &
- aux wait_pvmove_lv_ready "$vg-pvmove1"
+ aux wait_pvmove_lv_ready "$vg-pvmove0" "$vg-pvmove1"
else
LVM_TEST_TAG="kill_me_$PREFIX" "${cmd1[@]}"
LVM_TEST_TAG="kill_me_$PREFIX" "${cmd2[@]}"
7 months, 1 week
main - tests: skip some unneeded test
by Zdenek Kabelac
Gitweb: https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=8476a09ee5b761d393a...
Commit: 8476a09ee5b761d393a26145d2da23615d31579f
Parent: a51b6d5e4269ba4a5b335a3894873c750c2e8384
Author: Zdenek Kabelac <zkabelac(a)redhat.com>
AuthorDate: Sun Apr 23 19:17:08 2023 +0200
Committer: Zdenek Kabelac <zkabelac(a)redhat.com>
CommitterDate: Tue Apr 25 00:12:31 2023 +0200
tests: skip some unneeded test
Skip irelevant tests for polld & lockd pass.
---
test/shell/aa-lvmlockd-dlm-prepare.sh | 2 ++
test/shell/aa-lvmlockd-idm-prepare.sh | 2 ++
test/shell/aa-lvmlockd-sanlock-prepare.sh | 2 ++
test/shell/allow-mixed-block-sizes.sh | 1 +
test/shell/devicesfile-basic.sh | 2 ++
test/shell/devicesfile-devname.sh | 2 ++
test/shell/devicesfile-edit.sh | 2 ++
test/shell/devicesfile-realdevs.sh | 2 ++
test/shell/devicesfile-serial.sh | 2 ++
test/shell/discards-thin.sh | 1 +
test/shell/dmsecuretest.sh | 1 +
test/shell/dmstats-create.sh | 2 +-
test/shell/dmstats-report.sh | 2 +-
test/shell/error-usage.sh | 1 +
test/shell/report-fields.sh | 2 +-
test/shell/report-format.sh | 1 +
test/shell/report-hidden.sh | 2 +-
17 files changed, 25 insertions(+), 4 deletions(-)
diff --git a/test/shell/aa-lvmlockd-dlm-prepare.sh b/test/shell/aa-lvmlockd-dlm-prepare.sh
index 24021f3ef..c261c1d39 100644
--- a/test/shell/aa-lvmlockd-dlm-prepare.sh
+++ b/test/shell/aa-lvmlockd-dlm-prepare.sh
@@ -12,6 +12,8 @@
test_description='Set up things to run tests with dlm'
+SKIP_WITH_LVMPOLLD=1
+
. lib/inittest
[ -z "$LVM_TEST_LOCK_TYPE_DLM" ] && skip;
diff --git a/test/shell/aa-lvmlockd-idm-prepare.sh b/test/shell/aa-lvmlockd-idm-prepare.sh
index 8faff3bc2..fc9d75b5b 100644
--- a/test/shell/aa-lvmlockd-idm-prepare.sh
+++ b/test/shell/aa-lvmlockd-idm-prepare.sh
@@ -12,6 +12,8 @@
test_description='Set up things to run tests with idm'
+SKIP_WITH_LVMPOLLD=1
+
. lib/inittest
[ -z "$LVM_TEST_LOCK_TYPE_IDM" ] && skip;
diff --git a/test/shell/aa-lvmlockd-sanlock-prepare.sh b/test/shell/aa-lvmlockd-sanlock-prepare.sh
index 4d0f9fd94..6db14fe5b 100644
--- a/test/shell/aa-lvmlockd-sanlock-prepare.sh
+++ b/test/shell/aa-lvmlockd-sanlock-prepare.sh
@@ -12,6 +12,8 @@
test_description='Set up things to run tests with sanlock'
+SKIP_WITH_LVMPOLLD=1
+
. lib/inittest
[ -z "$LVM_TEST_LOCK_TYPE_SANLOCK" ] && skip;
diff --git a/test/shell/allow-mixed-block-sizes.sh b/test/shell/allow-mixed-block-sizes.sh
index 912f87781..d6983cc7c 100644
--- a/test/shell/allow-mixed-block-sizes.sh
+++ b/test/shell/allow-mixed-block-sizes.sh
@@ -10,6 +10,7 @@
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+SKIP_WITH_LVMLOCKD=1
SKIP_WITH_LVMPOLLD=1
. lib/inittest
diff --git a/test/shell/devicesfile-basic.sh b/test/shell/devicesfile-basic.sh
index 715c579b3..c2ede4735 100644
--- a/test/shell/devicesfile-basic.sh
+++ b/test/shell/devicesfile-basic.sh
@@ -12,6 +12,8 @@
test_description='devices file'
+SKIP_WITH_LVMPOLLD=1
+
. lib/inittest
aux prepare_devs 7
diff --git a/test/shell/devicesfile-devname.sh b/test/shell/devicesfile-devname.sh
index 76c978fb0..5fe87c579 100644
--- a/test/shell/devicesfile-devname.sh
+++ b/test/shell/devicesfile-devname.sh
@@ -12,6 +12,8 @@
test_description='devices file with devnames'
+SKIP_WITH_LVMPOLLD=1
+
. lib/inittest
aux prepare_devs 7
diff --git a/test/shell/devicesfile-edit.sh b/test/shell/devicesfile-edit.sh
index a71ca0c43..126d5b1d6 100644
--- a/test/shell/devicesfile-edit.sh
+++ b/test/shell/devicesfile-edit.sh
@@ -12,6 +12,8 @@
test_description='devices file editing with lvmdevices'
+SKIP_WITH_LVMPOLLD=1
+
. lib/inittest
aux lvmconf 'devices/scan = "/dev"'
diff --git a/test/shell/devicesfile-realdevs.sh b/test/shell/devicesfile-realdevs.sh
index 23d4bedb4..0f62e9b33 100644
--- a/test/shell/devicesfile-realdevs.sh
+++ b/test/shell/devicesfile-realdevs.sh
@@ -12,6 +12,8 @@
test_description='devices file with real devs'
+SKIP_WITH_LVMPOLLD=1
+
. lib/inittest
#
diff --git a/test/shell/devicesfile-serial.sh b/test/shell/devicesfile-serial.sh
index a88c1906a..94ce3d74a 100644
--- a/test/shell/devicesfile-serial.sh
+++ b/test/shell/devicesfile-serial.sh
@@ -12,6 +12,8 @@
test_description='device id wwid from vpd_pg83'
+SKIP_WITH_LVMPOLLD=1
+
. lib/inittest
test "$DM_DEV_DIR" = "/dev" || skip "Only works with /dev access -> make check LVM_TEST_DEVDIR=/dev"
diff --git a/test/shell/discards-thin.sh b/test/shell/discards-thin.sh
index f27d4c3d1..213f713aa 100644
--- a/test/shell/discards-thin.sh
+++ b/test/shell/discards-thin.sh
@@ -15,6 +15,7 @@
SKIP_WITH_LVMPOLLD=1
+SKIP_WITH_LVMLOCKD=1
export LVM_TEST_THIN_REPAIR_CMD=${LVM_TEST_THIN_REPAIR_CMD-/bin/false}
diff --git a/test/shell/dmsecuretest.sh b/test/shell/dmsecuretest.sh
index 6fbdb893c..609fc7cf5 100644
--- a/test/shell/dmsecuretest.sh
+++ b/test/shell/dmsecuretest.sh
@@ -13,6 +13,7 @@
# Test secure table is not leaking data in user land
SKIP_WITH_LVMPOLLD=1
+SKIP_WITH_LVMLOCKD=1
# AES key matching rot13 string from dmsecuretest.c */
SECURE="434e0cbab02ca68ffba9268222c3789d703fe62427b78b308518b3228f6a2122"
diff --git a/test/shell/dmstats-create.sh b/test/shell/dmstats-create.sh
index e28c9ef9d..03406aeff 100644
--- a/test/shell/dmstats-create.sh
+++ b/test/shell/dmstats-create.sh
@@ -11,7 +11,7 @@
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
SKIP_WITH_LVMPOLLD=1
-
+SKIP_WITH_LVMLOCKD=1
. lib/inittest
diff --git a/test/shell/dmstats-report.sh b/test/shell/dmstats-report.sh
index 965fca80e..bd72f1a61 100644
--- a/test/shell/dmstats-report.sh
+++ b/test/shell/dmstats-report.sh
@@ -11,7 +11,7 @@
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
SKIP_WITH_LVMPOLLD=1
-
+SKIP_WITH_LVMLOCKD=1
. lib/inittest
diff --git a/test/shell/error-usage.sh b/test/shell/error-usage.sh
index f8a561a37..bc9f30ab9 100644
--- a/test/shell/error-usage.sh
+++ b/test/shell/error-usage.sh
@@ -13,6 +13,7 @@
# Basic usage of zero target
+SKIP_WITH_LVMLOCKD=1
SKIP_WITH_LVMPOLLD=1
. lib/inittest
diff --git a/test/shell/report-fields.sh b/test/shell/report-fields.sh
index 949e5a579..eb81afc98 100644
--- a/test/shell/report-fields.sh
+++ b/test/shell/report-fields.sh
@@ -10,7 +10,7 @@
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
+SKIP_WITH_LVMLOCKD=1
SKIP_WITH_LVMPOLLD=1
. lib/inittest
diff --git a/test/shell/report-format.sh b/test/shell/report-format.sh
index 14b53edfb..e02d61b27 100644
--- a/test/shell/report-format.sh
+++ b/test/shell/report-format.sh
@@ -11,6 +11,7 @@
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+SKIP_WITH_LVMLOCKD=1
SKIP_WITH_LVMPOLLD=1
. lib/inittest
diff --git a/test/shell/report-hidden.sh b/test/shell/report-hidden.sh
index 621eefc54..f38e04867 100644
--- a/test/shell/report-hidden.sh
+++ b/test/shell/report-hidden.sh
@@ -10,7 +10,7 @@
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
-
+SKIP_WITH_LVMLOCKD=1
SKIP_WITH_LVMPOLLD=1
. lib/inittest
7 months, 1 week